PETSc version 3.17.4
Fix/Edit manual page

# PetscViewerAndFormatDestroy

Destroys a PetscViewerAndFormat struct.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerAndFormatDestroy(PetscViewerAndFormat **vf)

Collective on PetscViewer

### Input Parameters

| vf | - the PetscViewerAndFormat to be destroyed.

### See Also

PetscViewerSocketOpen(), PetscViewerASCIIOpen(), PetscViewerCreate(), PetscViewerDrawOpen(), PetscViewerAndFormatCreate()

### Level

developer

### Location

src/sys/classes/viewer/interface/view.c

### Examples

src/ksp/ksp/tutorials/ex2f.F90.html
src/snes/tutorials/ex30.c.html
src/ts/tutorials/ex7.c.html
src/ts/tutorials/ex12.c.html
src/ts/tutorials/ex52.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages